<?php

namespace App\Models\Base;

use Illuminate\Database\Eloquent\Model;

use App\Traits\NextKey;

abstract class ServiceType extends Model
{
	use NextKey;

	public $timestamps = FALSE;
	public $dateFormat = 'U';

	/**
	 * @NOTE: The service_id column could be discarded, if the id column=service_id
	 * @return \Illuminate\Database\Eloquent\Relations\MorphOne
	 */
	public function service()
	{
		return $this->morphOne(Service::class,'type','model','id');
	}
}